Simulate a LAT deposit transaction
curl --request POST \
--url https://api.area.club/lat/{address}/simulate-deposit \
--header 'Content-Type: application/json' \
--data '
{
"sender": "<string>",
"assets": [
"<string>"
],
"amounts": [
"<string>"
],
"receiver": "<string>"
}
'import requests
url = "https://api.area.club/lat/{address}/simulate-deposit"
payload = {
"sender": "<string>",
"assets": ["<string>"],
"amounts": ["<string>"],
"receiver": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
sender: '<string>',
assets: ['<string>'],
amounts: ['<string>'],
receiver: '<string>'
})
};
fetch('https://api.area.club/lat/{address}/simulate-deposit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"amounts": [
1070792079207920800,
1122772277227722800
],
"fees": {
"gas": {
"gasLimit": "210000",
"gasPrice": "25000000000",
"gasFee": "5250000000000000"
},
"area": {
"managementFee": 0,
"performanceFee": 0
}
}
}{
"error": {
"code": "bad_request",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#bad_request"
}
}{
"error": {
"code": "unauthorized",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unauthorized"
}
}{
"error": {
"code": "forbidden",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#forbidden"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#not_found"
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#unprocessable_entity"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#rate_limit_exceeded"
}
}{
"error": {
"code": "internal_server_error",
"message": "The requested resource was not found.",
"doc_url": "https://docs.eigenexplorer.com/api-reference/errors#internal_server_error"
}
}Direct Restaking API
Simulate a LAT deposit transaction
Simulates depositing assets into a Liquid AVS Token contract without actually executing the transaction, returning expected results and fees
POST
/
lat
/
{address}
/
simulate-deposit
Simulate a LAT deposit transaction
Path Parameters
LAT contract address (proxy)
Pattern:
^0x[a-fA-F0-9]{40}$Example:
"0x94a2a0548681fda8d5e2ad5a8eeecd891e02a613"
Body
application/json
The wallet address that will submit the tx and get debited
Pattern:
^0x[a-fA-F0-9]{40}$The array of token addresses to be deposited
Minimum array length:
1Pattern:
^0x[a-fA-F0-9]{40}$The array of amounts corresponding to each asset, in the decimals of that token
Minimum array length:
1Pattern:
^\d+$The wallet address that will receive the minted Liquid Avs Tokens
Pattern:
^0x[a-fA-F0-9]{40}$Response
Successful deposit simulation result
⌘I